<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Yannis Vogel (vogeldevelopment)
 **/

namespace Federator\Data\ActivityPub\Common;

class Delete extends Activity
{
    public function __construct()
    {
        parent::__construct('Delete');
        parent::addContext('https://www.w3.org/ns/activitystreams');
    }

    /**
     * create from json/array
     * @param mixed $json
     */
    public function fromJson($json): bool
    {
        return parent::fromJson($json);
    }
    /**
     * convert internal state to php array
     * @return array<string,mixed>
     */
    public function toObject()
    {
        $return = parent::toObject();
        return $return;
    }
}
